package com.sinosig.core.module.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.module.domain.CIDData;
import com.sinosig.core.module.filter.CIDDataSearchContext;

/**
 * 实体[CIDData] 服务对象接口
 */

public interface ICIDDataService{
     CIDData getDraft(CIDData ciddata) ;
     CIDData get(String ciddataid) ;
     CIDData get(CIDData ciddata) ;
     boolean checkKey(CIDData ciddata) ;
     boolean remove(String ciddataid) ;
     boolean create(CIDData ciddata) ;
     boolean update(CIDData ciddata) ;
     boolean save(CIDData ciddata) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<CIDData> searchDefault(CIDDataSearchContext context) ;

    /**
     * 根据车险单查询
     */
     Page<CIDData> selectByCID(String cidid) ;
     List<CIDData> selectByCID2(String cidid);

}
